Package org.apache.solr.common.cloud

## Class DefaultZkACLProvider

- java.lang.Object
- - org.apache.solr.common.cloud.DefaultZkACLProvider

All Implemented Interfaces:
  `ZkACLProvider`

    public class DefaultZkACLProvider
    extends Object
    implements ZkACLProvider

### Constructor Summary

Constructors
`DefaultZkACLProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected List<org.apache.zookeeper.data.ACL>` `createGlobalACLsToAdd()`
`List<org.apache.zookeeper.data.ACL>` `getACLsToAdd​(String zNodePath)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultZkACLProvider

    public DefaultZkACLProvider()

### Method Detail

#### getACLsToAdd

    public List<org.apache.zookeeper.data.ACL> getACLsToAdd​(String zNodePath)

Specified by:
  `getACLsToAdd` in interface `ZkACLProvider`

#### createGlobalACLsToAdd

    protected List<org.apache.zookeeper.data.ACL> createGlobalACLsToAdd()